-- 数据库适用版本: KingCMS V9.10.0026

CREATE TABLE IF NOT EXISTS `king_app` (
  `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '应用ID',
  `path` varchar(100) NOT NULL COMMENT '应用目录',
  `appname` varchar(100) NOT NULL DEFAULT '' COMMENT '应用名称',
  `version` float NOT NULL DEFAULT '0' COMMENT '当前版本',
  PRIMARY KEY (`aid`),
  UNIQUE KEY `path` (`path`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='已安装的应用' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_checkcode` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `answer` smallint(3) NOT NULL DEFAULT '0' COMMENT '答案',
  `quest` varchar(10) DEFAULT NULL COMMENT '问',
  `date` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '日期',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='验证码.[临时表]' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_config` (
  `class` char(15) NOT NULL COMMENT '给数据做分类',
  `name` char(20) NOT NULL COMMENT '数据键名',
  `value` text COMMENT '键名对应的值',
  UNIQUE KEY `class` (`class`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='网站系统参数记录表';

INSERT INTO `king_config` (`class`, `name`, `value`) VALUES
('task', 'day', '19701010'),
('task', 'update1', '0'),
('task', 'update2', '0'),
('task', 'update3', '0'),
('task', 'update4', '0'),
('task', 'update5', '0'),
('task', 'update6', '0'),
('system', 'salt', 'kingcmsv9100026'),
('system', 'countcode', ''),
('system', 'email', 'service@kingcms.com'),
('system', 'qq', '18122895'),
('system', 'tel', '020-38620495'),
('system', 'fax', '020-38620495'),
('system', 'beian', 'ICP备88888888号'),
('system', 'image_width', '800'),
('system', 'image_height', '1000'),
('system', 'bottom', 'Copyright &copy; 2004-2016 <a href="http://www.kingcms.com/" target="_blank">KingCMS.com</a> All rights reserved.'),
('switch', 'site', '1'),
('switch', 'user', '1'),
('switch', 'template', '0'),
('switch', 'cache', '1'),
('switch', 'checkcode', '1'),
('switch', 'upfile', '1'),
('switch', 'upimage', '1'),
('switch', 'imageload', '1'),
('system', 'robot', ''),
('deny', 'ip', ''),
('site', 'name', 'KingCMS'),
('site', 'title', 'KingCMS内容管理系统_CMS界的轻骑士'),
('site', 'keywords', 'KingCMS,CMS,内容管理系统'),
('site', 'description', '【KingCMS】内容管理系统：是一套简单易学,操作简单的开源内容管理系统(CMS)'),
('up', 'imagesize', '2048'),
('up', 'imagetype', 'jpg,jpeg,gif,png'),
('up', 'filesize', '5120'),
('up', 'filetype', 'zip,rar,7z'),
('deny', 'useragent', '.NET CLR 2.0.50727; .NET CLR 3.0\r\n.NET CLR 2.0.50727; .NET4\r\nqdesk 2.3.1186.202; .NET4\r\n.NET CLR 2.0.50727; CIBA\r\n.NET CLR 2.0.50727; InfoPath\r\nMozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.0)\r\nMozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)\r\nMozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1)\r\nMozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)'),
('deny', 'output', 'Your IP has been banned for 1 hour. Plear try later1!'),
('deny', 'switch', '0'),
('deny', 'words', ''),
('system', 'toreview', '0'),
('system', 'license', '<p>在使用前，请务必认真阅读和理解《本许可使用协议》（以下简称协议）中规定的所有权利和限制。除非您接受本《协议》条款，否则您无权使用本网站及其相关服务。您一旦使用网站，将视为对本《协议》的接受，即表示您同意接受本《协议》各项条款的约束。</p>\n<p><strong>一、总则</strong></p>\n<p>1.1 协议双方为网站方与用户方，协议双方具有合同效力；</p>\n<p>1.2 自用户首次注册本网站使用账号时起，即在网站和用户之间产生法律效力；</p>\n<p>1.3 本网站有权修改或重新制定本协议，并通过网站或网站公告形式对用户进行告知。</p> \n<p><strong>二、 法律及争议解决</strong></p>\n<p>2.1 本协议适用中华人民共和国法律；</p>\n<p>2.2 因本协议引起的的任何争议，协议双方应友好协商解决；协商不成的，任何一方均可将有关争议提交至仲裁委员会并按照其届时有效的仲裁规则仲裁。</p>\n<p><strong>三、其他条款</strong></p>\n<p>3.1 如果本协议中的任何条款无论因何种原因完全或部分无效或不具有执行力，或违反任何适用的法律，则该条款被视为删除，但本协议的其余条款仍应有效并且有约束力； </p>\n<p>3.2 本网站在法律允许范围内对本协议拥有解释权与修改权。</p>'),
('switch', 'watermark', '0'),
('switch', 'license', '1'),
('system', 'head', ''),
('system', 'hotkeywords', ''),
('system', 'lat', '23.120049'),
('system', 'lng', '113.30765'),
('switch', 'regemail', '0'),
('switch', 'regphone', '0'),
('system', 'icoimage', '');

CREATE TABLE IF NOT EXISTS `king_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `cid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '关联ID',
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  `app` varchar(100) DEFAULT NULL COMMENT '应用目录,来源',
  `action` varchar(100) DEFAULT NULL COMMENT '操作代号,必须用大写',
  `notes` varchar(100) DEFAULT NULL COMMENT '备注',
  `date` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '操作日期',
  `ip` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'ip地址',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='用户操作内容日志' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_node` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `cid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '主节点ID',
  `name` varchar(50) DEFAULT NULL COMMENT '节点名称',
  `url` varchar(50) NOT NULL COMMENT '子节点代号，跟主节点代号没关系',
  `norder` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  `description` varchar(200) DEFAULT NULL COMMENT '介绍',
  PRIMARY KEY (`id`),
  UNIQUE KEY `cid` (`cid`,`url`),
  KEY `idorder` (`norder`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='节点对象' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_node_cat` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `name` varchar(50) NOT NULL COMMENT '主节点名称',
  `url` varchar(50) NOT NULL COMMENT '主节点代号',
  `description` varchar(200) DEFAULT NULL COMMENT '介绍',
  `norder` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `url` (`url`),
  KEY `norder` (`norder`,`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='节点分类' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_point` (
  `pointid` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `norder` int(10) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `pointname` varchar(20) NOT NULL COMMENT '积分名称',
  `notes` varchar(200) DEFAULT NULL COMMENT '积分介绍',
  PRIMARY KEY (`pointid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='积分类型' AUTO_INCREMENT=3 ;

INSERT INTO `king_point` (`pointid`, `norder`, `pointname`, `notes`) VALUES
(1, 1, '积分', '会员积分,享受专属礼品兑换'),
(2, 2, '金币', '会员金币,活跃度的累积');

CREATE TABLE IF NOT EXISTS `king_point_value` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `pointid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '积分ID',
  `app` char(30) NOT NULL COMMENT '记录积分操作的应用名称',
  `code` char(30) NOT NULL COMMENT '积分策略代号',
  `value` tinyint(3) NOT NULL COMMENT '操作值',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniqui1` (`app`,`code`,`pointid`),
  KEY `index1` (`pointid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='积分操作值' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_template_logo` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `prod` varchar(100) NOT NULL COMMENT '模板类型',
  `path` varchar(100) NOT NULL COMMENT '模板名称',
  `title` varchar(100) NOT NULL COMMENT '图片名称',
  `code` varchar(100) NOT NULL COMMENT 'LOGO图片代码',
  `image` varchar(100) NOT NULL COMMENT '缩略图',
  `logopath` varchar(500) NOT NULL COMMENT 'LOGO图片路径',
  `logourl` varchar(255) NOT NULL DEFAULT '' COMMENT '地址链接',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_up_file` (
  `file` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `path` varchar(100) NOT NULL COMMENT '文件地址',
  `date` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '日期',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '文件审核',
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  `filesize` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '文件大小',
  PRIMARY KEY (`file`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='文件上传' AUTO_INCREMENT=1000 ;

CREATE TABLE IF NOT EXISTS `king_up_image` (
  `image` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `path` varchar(100) NOT NULL COMMENT '图片地址',
  `date` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '日期',
  `md5` char(32) NOT NULL COMMENT 'md5校验',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '图像审核',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '子域名地址ID',
  PRIMARY KEY (`image`),
  UNIQUE KEY `md5` (`md5`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='图片上传' AUTO_INCREMENT=1000 ;

CREATE TABLE IF NOT EXISTS `king_up_image_bind` (
  `image` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '图像ID',
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  UNIQUE KEY `userid` (`userid`,`image`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='指定图片所属';

CREATE TABLE IF NOT EXISTS `king_up_url` (
  `uid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `url` varchar(100) NOT NULL COMMENT '完整子域名地址，包括http',
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='上传文件的子域名系列' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_user` (
  `userid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `username` char(12) DEFAULT NULL COMMENT '用户名',
  `userpass` char(32) DEFAULT NULL COMMENT '密码',
  `salt` char(6) DEFAULT NULL COMMENT '随机数',
  `regdate` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '注册时间',
  `regip` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '注册IP',
  `name` varchar(20) DEFAULT NULL COMMENT '真实姓名',
  `tel` char(30) DEFAULT NULL COMMENT '电话',
  `mobile` varchar(60) DEFAULT '' COMMENT '手机号码',
  `bindmobile` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '是否绑定手机',
  `email` varchar(50) DEFAULT NULL COMMENT '电子邮件',
  `bindemail` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '是否绑定邮箱',
  `qq` varchar(15) DEFAULT NULL COMMENT 'QQ号',
  `address` varchar(200) DEFAULT NULL COMMENT '联系地址',
  `sex` tinyint(1) NOT NULL DEFAULT '0' COMMENT '性别，新增加的字段 1:男 2：女',
  `quest` varchar(50) DEFAULT NULL COMMENT '提问',
  `answer` varchar(32) DEFAULT NULL COMMENT '回答',
  `zaixian` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '在线时间',
  `date` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最后一次记录时间',
  `ip` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最后一次登录时候的IP',
  `qianming` varchar(255) DEFAULT NULL COMMENT '签名',
  `dailycheck` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '每日签到',
  `perfectinfo` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '完善信息',
  PRIMARY KEY (`userid`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='用户' AUTO_INCREMENT=10001 ;

INSERT INTO `king_user` (`userid`, `username`, `userpass`, `salt`, `regdate`, `regip`, `name`, `tel`, `mobile`, `bindmobile`, `email`, `bindemail`, `qq`, `address`, `sex`, `quest`, `answer`, `zaixian`, `date`, `ip`, `qianming`, `dailycheck`, `perfectinfo`) VALUES
(10000, 'admin', '7fef6171469e80d32c0559f88b377245', NULL, 0, 0, NULL, NULL, '', 0, NULL, 0, NULL, NULL, 0, NULL, NULL, 292, 1481789645, 2130706433, NULL, 0, 0);

CREATE TABLE IF NOT EXISTS `king_user_group` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `gid` int(10) NOT NULL DEFAULT '0' COMMENT '用户组ID',
  `groupname` varchar(50) NOT NULL COMMENT '用户组名称',
  `notes` varchar(250) DEFAULT NULL COMMENT '对用户组的说明',
  PRIMARY KEY (`id`),
  KEY `index1` (`gid`,`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='用户分组' AUTO_INCREMENT=6 ;

INSERT INTO `king_user_group` (`id`, `gid`, `groupname`, `notes`) VALUES
(1, 0, '访客', '未注册网站帐号的会员'),
(2, 1, '注册会员', '新注册成功的会员'),
(3, 2, '认证会员', '发布信息并通过审核的会员，发布信息无需再次审核'),
(4, 99, '黑名单', '加入黑名单的会员将限制其所有权限');

CREATE TABLE IF NOT EXISTS `king_user_group_auth` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户组ID',
  `auth` varchar(50) NOT NULL DEFAULT '0' COMMENT '应用名称，系统功能是system_XXX，管理员admin，扩展应用是PLUGIN_XXX',
  PRIMARY KEY (`id`),
  UNIQUE KEY `gid` (`gid`,`auth`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='用户组权限绑定' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_user_group_bind` (
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '要绑定的用户组id',
  `removedate` int(10) NOT NULL DEFAULT '0' COMMENT '解除用户组的日期，存储格式为时间戳',
  UNIQUE KEY `userid` (`userid`,`gid`),
  KEY `gid` (`gid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='绑定用户组，权限时效设置';

INSERT INTO `king_user_group_bind` (`userid`, `gid`, `removedate`) VALUES
(0, 0, 0);

CREATE TABLE IF NOT EXISTS `king_user_medal` (
  `mid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `medalname` char(12) DEFAULT NULL COMMENT '勋章名称',
  `medalimage` varchar(100) NOT NULL COMMENT '图片，相对于根目录的地址',
  `notes` varchar(200) DEFAULT NULL COMMENT '对勋章的介绍',
  PRIMARY KEY (`mid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='用户勋章' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_user_medal_bind` (
  `mid` smallint(4) unsigned NOT NULL DEFAULT '0' COMMENT '会员组ID',
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '会员ID',
  UNIQUE KEY `userid` (`userid`,`mid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='绑定用户和勋章';

CREATE TABLE IF NOT EXISTS `king_user_pm` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '收件人ID',
  `puserid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '发布用户ID',
  `islook` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '收件人操作 1:已阅',
  `title` varchar(255) DEFAULT '' COMMENT '站内信标题',
  `content` text COMMENT '内容',
  `date` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '发表日期',
  PRIMARY KEY (`id`),
  KEY `pm` (`userid`,`islook`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='站内短信息' AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `king_user_point` (
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  `pointid` smallint(5) NOT NULL DEFAULT '0' COMMENT '积分ID',
  `value` float NOT NULL DEFAULT '0' COMMENT '对应值',
  UNIQUE KEY `unique1` (`userid`,`pointid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='用户积分表，记录每个用户的积分值';

CREATE TABLE IF NOT EXISTS `king_user_point_exchange` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `pointid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '原始积分类型',
  `value` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '需要的积分',
  `newpointid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '积分ID',
  `newvalue` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '兑换后的积分',
  `notes` varchar(250) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `pointid` (`pointid`,`newpointid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='用户积分兑换' AUTO_INCREMENT=1000 ;

CREATE TABLE IF NOT EXISTS `king_user_point_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  `pointid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '积分ID',
  `app` char(30) NOT NULL COMMENT '记录积分操作的应用名称',
  `appname` varchar(100) DEFAULT '' COMMENT '应用名称',
  `code` char(30) NOT NULL COMMENT '积分策略代号',
  `codename` varchar(100) DEFAULT '' COMMENT '积分操作名称',
  `addtime` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '操作时间',
  `value` int(10) NOT NULL DEFAULT '0' COMMENT '操作值大小',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='用户积分操作日志' AUTO_INCREMENT=1000 ;

CREATE TABLE IF NOT EXISTS `king_user_role` (
  `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `rolename` varchar(50) NOT NULL COMMENT '角色组',
  `notes` varchar(250) DEFAULT NULL COMMENT '对角色组的说明',
  PRIMARY KEY (`rid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='角色管理表' AUTO_INCREMENT=2 ;

INSERT INTO `king_user_role` (`rid`, `rolename`, `notes`) VALUES
(1, '总管', '网站总管理员,最高权限的执行者!');

CREATE TABLE IF NOT EXISTS `king_user_role_auth` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '递增ID',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户组ID',
  `auth` varchar(50) NOT NULL DEFAULT '0' COMMENT '应用名称，系统功能是system_XXX，管理员admin，扩展应用是PLUGIN_XXX',
  PRIMARY KEY (`id`),
  UNIQUE KEY `rid` (`rid`,`auth`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='绑定角色权限' AUTO_INCREMENT=2 ;

INSERT INTO `king_user_role_auth` (`id`, `rid`, `auth`) VALUES
(1, 1, 'admin');

CREATE TABLE IF NOT EXISTS `king_user_role_bind` (
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '要绑定的角色id',
  `removedate` int(10) NOT NULL DEFAULT '0' COMMENT '解除角色的日期，存储格式为时间戳',
  UNIQUE KEY `userid` (`userid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='绑定角色，权限时效设置';

INSERT INTO `king_user_role_bind` (`userid`, `rid`, `removedate`) VALUES
(10000, 1, 0);

CREATE TABLE IF NOT EXISTS `king_user_security` (
  `userid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  `sq` varchar(255) DEFAULT NULL COMMENT '安全提问',
  `sqa` varchar(255) DEFAULT NULL COMMENT '问题答案',
  `personverify` tinyint(3) unsigned DEFAULT '0' COMMENT '个人认证',
  `enterpriseverify` tinyint(3) unsigned DEFAULT '0' COMMENT '企业认证',
  `realname` varchar(255) DEFAULT NULL COMMENT '安全提问',
  `id_card` varchar(255) DEFAULT NULL COMMENT '身份证号码',
  `card_front` varchar(255) DEFAULT NULL COMMENT '身份证正面',
  `card_back` varchar(255) DEFAULT NULL COMMENT '身份证背面',
  `licence_image` varchar(255) DEFAULT NULL COMMENT '企业营业执照',
  `enterprisename` varchar(255) DEFAULT NULL COMMENT '企业名称',
  `license_numbers` varchar(255) DEFAULT NULL COMMENT '营业执照注册号',
  `license_endtime` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '执照到期时间',
  `paypassword` varchar(255) NOT NULL COMMENT '支付密码',
  PRIMARY KEY (`userid`),
  UNIQUE KEY `userid_2` (`userid`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='用户帐户安全表';