<?php !defined('INC') && exit('Load failure!'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	{#include file='include/head.php'}
</head>
<body>
	{#include file='include/top.php'}
	
	<div class="frame">
		<h3>全文检索<strong>Text search!</strong></h3>
		<form method="get" action="/">
			<label for="query">输入您要搜索的关键词,支持<strong>长尾词</strong>!</label>
			<br/>
			<span><input type="text" name="q" id="query" maxlength="30" value=""/></span>
			<span>
				<input type="submit" value="搜索" id="search_submit"/>
			</span>
			<input type="hidden" name="app" value="content">
		</form>
	</div>
	
	<div class="frame">
		<h3>图片内容调用</h3>
		<!-- 判断内容应用是否已安装 -->
		{#if(kc_checkApp('content'))}
		<!-- 数据库中读取图片内容 -->
		{@res.join table1='%s_content_isimage' table2='%s_content' field2='title,description,url,image' on='id' where='t2.status=1' order='t2.id desc' number='4'}
		<table id="picturelist">
			<tr><td colspan="4">圆角效果</td></tr>
			<tr>
			<!-- foreach循环显示已读取的内容 -->
			{#foreach($res as $key=>$rs)}
				<td width="25%">
					<a class="img" href="{DIR}{$rs[url]}">
						<img src="{DIR}{$rs[image] width='230' height='95' position='center' padding='fillet' padding-r='5'}" alt="{$rs[title] code='quote'}"/>
					</a>
					<br/>
					<a>{$rs[title] size='32'}</a>
				</td>
			{#endforeach}
			</tr>

			<tr><td colspan="4">指定background背景值的时候，不裁图显示</td></tr>
			<tr>
			{#foreach($res as $key=>$rs)}
				<td>
					<a class="img" href="{DIR}{$rs[url]}">
						<img src="{DIR}{$rs[image] width='193' height='95' background='#CCCCCC'}" alt="{$rs[title] code='quote'}"/>
					</a>
				</td>
			{#endforeach}
			</tr>

			<tr><td colspan="4">指定position以顶部为基准裁图</td></tr>
			<tr>
			{#foreach($res as $key=>$rs)}
				<td>
					<a class="img" href="{DIR}{$rs[url]}">
						<img src="{DIR}{$rs[image] width='193' height='95' position='top'}" alt="{$rs[title] code='quote'}"/>
					</a>
				</td>
			{#endforeach}
			</tr>
			<tr>

			<tr><td colspan="4">圆角+阴影效果</td></tr>
			{#foreach($res as $key=>$rs)}
				<td>
					<a class="img" href="{DIR}{$rs[url]}">
						<img src="{DIR}{$rs[image] width='193' height='120' padding='fillet' padding-filter='shadow' padding-size='5'}" alt="{$rs[title] code='quote'}"/>
					</a>
				</td>
			{#endforeach}
			</tr>
		</table>
		{#else}
		请进入云端管理安装内容应用，再查看调用效果。
		{#endif}
	</div>

	<div class="frame">
		<h3>最新更新</h3>
		<ul>
			<!-- 判断内容应用是否已安装 -->
			{#if(kc_checkApp('content'))}
			{@res table='%s_content' field='title,url,date' where='status=1' order='id desc'}
			{#foreach($res as $rs)}
			<li>
				<a href="{DIR}{$rs[url]}" title="{$rs[title] code='quote'}">{$rs[title]}</a>
				<i>[{$rs[date] date='m-d'}]</i>
			</li>
			{#endforeach}
			{#else}
			请进入云端管理安装内容应用，再查看调用效果。
			{#endif}
		</ul>
		
		<h3>根据爬虫收录时间显示<em>这部分挂到网上后，爬虫有访问时才正常显示</em></h3>
		<ul>
			<!-- 判断内容应用是否已安装 -->
			{#if(kc_checkApp('content'))}
			{@res.join table1='%s_content_botdate' table2='%s_content' field2='title,url' on='id' where='t2.status=1' order='t1.date desc,t2.id desc'}
			{#foreach($res as $rs)}
			<li><a href="{DIR}{$rs[url]}" title="{$rs[title] code='quote'}">{$rs[title]}</a></li>
			{#endforeach}
			{#else}
			请进入云端管理安装爬虫应用，再查看调用效果。
			{#endif}
		</ul>
		
		<h3>一周热门点击</h3>
		<ul>
			<!-- 判断内容应用是否已安装 -->
			{#if(kc_checkApp('content'))}
			{? $today=date('Ymd',TIME-86400*7); ?}
			{@res.join table1='%s_content_hit' table2='%s_content' field='sum(t1.hit) hit' field2='title,url' on='id' where='t1.date>{$today} and t2.status=1' group='t1.id' order='hit desc,t2.id desc'}
			{#foreach($res as $rs)}
			<li><a href="{DIR}{$rs[url]}" title="{$rs[title] code='quote'}">{$rs[title]}</a><i>[{$rs[hit]}]</i></li>
			{#endforeach}
			{#else}
			请进入云端管理安装内容应用，再查看调用效果。
			{#endif}
		</ul>
		
		<h3>热门评论</h3>
		<ul>
			<!-- 判断内容应用是否已安装 -->
			{#if(kc_checkApp('content'))}
			{@res.join table1='%s_content_comment_hit' table2='%s_content' field='sum(t1.hit) hit' field2='title,url' on='id' where='t1.date>{$today} and t2.status=1' group='t1.id' order='hit desc,t2.id desc'}
			{#foreach($res as $rs)}
			<li><a href="{DIR}{$rs[url]}" title="{$rs[title] code='quote'}">{$rs[title]}</a><i>[{$rs[hit]}]</i></li>
			{#endforeach}
			{#else}
			请进入云端管理安装内容应用，再查看调用效果。
			{#endif}
		</ul>
	</div>

			
	<div class="frame">
		<h3>友情链接<em>需要先安装链接应用，实际使用的时候请修改where属性中的cid值</em></h3>
		<span>
			<a href="http://www.kingcms.com/" target="_blank">KingCMS</a>
			<!-- 判断内容应用是否已安装 -->
			{#if(kc_checkApp('content'))}
			{@res table='%s_link' field='name,url,ifshow,opennew' where="cid=1"}
			{#foreach($res as $rs)}
			<a{#if($rs['ifshow']==0)} style="display:none;"{#endif} href="{$rs[url]}"{#if($rs['opennew']==1)} target="_blank"{#endif}>{$rs[name]}</a>
			{#endforeach}
			{#else}
			请进入云端管理安装友情链接应用，再查看调用效果。
			{#endif}
		</span>
	</div>
	


	<div class="frame">
		<h3>日期形式的存档调用</h3>
		<!-- 判断内容应用是否已安装 -->
		{#if(kc_checkApp('content'))}
		{@res table='%s_content_archive' field='DISTINCT dd' order='dd desc' number='10'}
		{#foreach($res as $rs)}
		<a href="{DIR}?content-archive&date={$rs[dd]}">{?=preg_replace('/^\d{2}(\d{2})(\d{2})(\d{2})$/','$1年$2月$3日',$rs['dd'])?}</a>
		{#endforeach}
		{#else}
		请进入云端管理安装内容应用，再查看调用效果。
		{#endif}
		<h3>月份形式的存档调用</h3>
		<!-- 判断内容应用是否已安装 -->
		{#if(kc_checkApp('content'))}
		{@res table='%s_content_archive' field='DISTINCT mm' order='mm desc' number='10'}
		{#foreach($res as $rs)}
		<a href="{DIR}?content-archive&date={$rs[mm]}">{?=preg_replace('/^\d{2}(\d{2})(\d{2})$/','$1年$2月',$rs['mm'])?}</a>
		{#endforeach}
		{#else}
		请进入云端管理安装内容应用，再查看调用效果。
		{#endif}
	</div>
	
	
	<!-- 碎片方式调用广告 -->
	<div class="frame">
		{#include file='block/home.php'}
	</div>
	
	{#include file='include/bottom.php'}
</body>
</html>