//Google Map API V3 在系统应用的封装
var wrapmapobj=M={};
wrapmapobj.markersArray=[];
wrapmapobj.map=null;
/*构造一个map对象
 *@param lat 纬度
 *@param lng 经度
 *@param ele 在DOM中的元素 
 **/
wrapmapobj.construction=function(lat,lng,ele){
    var iniLat=lat;
    var iniLng=lng;
    
    var currLatLng = new google.maps.LatLng(iniLat, iniLng);
    var currMapOption={
	zoom:8,
	center:currLatLng,
	scaleControl: true,
	mapTypeId: google.maps.MapTypeId.ROADMAP
    };
    wrapmapobj.map = new google.maps.Map(document.getElementById(ele), currMapOption); 
    return wrapmapobj.map;
}
/*查询选定地点的纬，经度
 *@param lat 纬度
 *@param lng 经度
 *@param ele 在DOM中的元素 
 **/
wrapmapobj.queryLatlng=function(lat,lng,ele){
    if(wrapmapobj.map==null) wrapmapobj.construction(lat,lng,ele);
    google.maps.event.addListener(wrapmapobj.map,'click', function(event) {
	if(wrapmapobj.markersArray.length>0){                   
	    wrapmapobj.markersArray[0].setMap(null);
	    wrapmapobj.markersArray.pop();
	}
        wrapmapobj.placeMarker(event.latLng); 
    });    
}
wrapmapobj.placeMarker=function(location){
    var currClickedLocation = new google.maps.LatLng(location);   
    var marker = new google.maps.Marker({
	position: location,        
        map: wrapmapobj.map   
    });    
    wrapmapobj.map.setCenter(location);           
    wrapmapobj.markersArray.push(marker);
    jQuery("#lat").val(location.lat());
    jQuery("#lng").val(location.lng());  
}
/*打印指定纬，经度的信息窗口
 *@param json 一个相关信息的JSON对象
 **/
wrapmapobj.printInfoWindow=function(json){
    var printStr;
    printStr='<div id="mb"><div id="im"><div id="cover">';
    printStr+='<img src="'+json.cover+'" /></div><span>'
    printStr+='<a href="'+json.link+'">楼盘详情</a></span></div><div id="in"><dl><dt>价格:</dt><dd>';
    printStr+=json.price+'</dd></dl><dl><dt>地址:</dt><dd>';
    printStr+=json.address+'</dd></dl><dl><dt>住宅用地:</dt><dd>';
    printStr+=json.type+'</dd></dl><dl><dt>销售电话:</dt><dd>';
    printStr+=json.tel+'</dd></dl><dl><dt>地产公司:</dt><dd>';
    printStr+=json.dev+'</dd></dl><span>';
    printStr+='<a href="/forum/fangchan/">业主论坛</a></span></div></div>';
    return printStr;
}
/*将指定的纬，经度设为地图的中心并将其标记
 *@param lat 纬度
 *@param lng 经度
 *@param ele 在DOM中的元素 
 **/
wrapmapobj.showSpecifiedMarker=function(lat,lng,ele){
    if(wrapmapobj.map==null) wrapmapobj.construction(lat,lng,ele);
    wrapmapobj.map.setZoom(16);
    var location=new google.maps.LatLng(lat,lng);
    var marker = new google.maps.Marker({
	position: location,        
        map: wrapmapobj.map   
    });    
    wrapmapobj.map.setCenter(location); 
}
/*用geoRSS在地图上刻画标记
 *@param geoRSSXML 指定geoRSS XML文件的网络地址
 **/
wrapmapobj.drawLoupanMarkers=function(geoRSSXML){
    if(wrapmapobj.map==null) wrapmapobj.construction(lat,lng,ele);
    var geoRSSLayer = new google.maps.KmlLayer(geoRSSXML);
    geoRSSLayer.setMap(wrapmapobj.map);
}


