<?php

//MySQL传统方式操作数据库
class db {
	private $link;
	private $query_ID;
	private $result;
	private $type;
	public $pagelist;
	public $debug;

	public function __construct() {
		$this->pagelist=array();
		$this->debug=true;
	}
	//创建数据库表
	public function createDB(){
		@mysql_query("CREATE DATABASE IF NOT EXISTS ".DB_DATA." DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;",@mysql_connect(DB_HOST,DB_USER,DB_PASS));
	}
	/**
	 * 链接数据库服务器
	 * @param string $info MySQL链接信息
	 * @return object
	 */
	public function connect($info=null) {

		if(!isset($this->link)) {
			if (empty($info)) {
				$host=DB_HOST;
				$dbname=DB_DATA;
				$user=DB_USER;
				$pass=DB_PASS;
			}else{
				extract($info);
			}

			$this->type='mysql';

			$this->link=@mysql_pconnect($host,$user,$pass);
			if(!empty($dbname)){
				@mysql_select_db($dbname,$this->link);
			}
			//错误反馈
			$errid=mysql_errno();
			if(!empty($errid) && $this->debug==true){
				if(AJAX){
					$tip=$errid.') 数据查询错误：\n'.addslashes(mysql_error());
				}else{
					$tip='<strong style="color:#C00;display:block;line-height:50px;font-size:20px;">'.$errid.') 数据查询错误：'.  addslashes(mysql_error()).'</strong>';
				}
				kc_tip($tip,'form');
			}

		}
		return $this->link;
	}
	/**
	 * 查询
	 * @param string $sql 查询语句
	 * @return object
	 */
	public function query($sql) {
		if(!$this->safecheck($sql)){
			if(AJAX){
				$tip='数据查询错误：'.$sql.'\n';
			}else{
				$tip='<strong style="color:#C00;display:block;line-height:50px;font-size:20px;">数据查询错误：'.$sql.'</strong>';
			}
			kc_tip($tip,'form');
		}

		if(!isset($this->link)) {
			$this->connect();//判断数据库连接是否可用
		}

		@mysql_query('set names '.DB_CHARSET);//设置字符集
		$this->query_ID = @mysql_query($sql);

		//错误反馈
		$errid=mysql_errno();
		if(!empty($errid) && $this->debug==true){
			echo('<strong style="color:#C00;display:block;line-height:50px;font-size:20px;">'.$errid.') 数据查询错误：'.mysql_error().'</strong><p>'.$sql.'</p>');
		}
		return $this->query_ID;
	}
	/**
	 * sql直接利用sql获得数据
	 * @param string $sql SQL代码
	 * @return array 记录集
	 */
	public function get($sql) {

		$res=array();
		$this->query($sql);
		if (empty($this->query_ID)) {
			return array();
		}
		$rows=mysql_num_rows($this->query_ID);

		for($i=0;$i<$rows;$i++) {
			if(!mysql_data_seek($this->query_ID,$i)) {
				kc_tip('<textarea>'.htmlspecialchars($_sql).'</textarea>');
			}
			$rs=mysql_fetch_array($this->query_ID);
			foreach ($rs as $k=>$r) {
				if (is_int($k) && $k!==0) {
					unset($rs[$k]);
				}
			}
			$rs=kc_stripslashes_array($rs);
			$res[$i]=$rs;
		}
		//释放资源
		$this->free();
		return $res;
	}
	/**
	 * 数组方式读取数据
	 * @param string $table 表
	 * @param string $insql 检索字段名
	 * @param string $where 条件
	 * @param string $order 排序
	 * @param string $limit 跳格
	 * @param string $group 组
	 */
	public function getRows($table,$insql='*',$where=null,$order=null,$limit=null,$group=null) {
		$table=str_replace('%s',DB_PRE,$table);

		$sql="SELECT $insql FROM $table ";
		$sql.= empty($where) ? '' : " WHERE $where";
		$sql.= empty($group) ? '' : " GROUP BY $group";
		$sql.= empty($order) ? '' : " ORDER BY $order";
		$sql.= empty($limit) ? '' : " LIMIT $limit";

		return $this->get($sql);
	}
	/**
	 * 线性数组方式读取数据
	 * @param string $table 表
	 * @param string $field1 字段名1
	 * @param string $field2 字段名2
	 * @param string $where 条件
	 * @param string $order 排序
	 * @param string $limit 跳格
	 */
	public function getRows_two($table,$field1,$field2,$where=null,$order=null,$limit=null){

		$table=str_replace('%s',DB_PRE,$table);

		$sql="SELECT $field1,$field2 FROM $table ";
		$sql.= empty($where) ? '' : " WHERE $where";
		$sql.= empty($order) ? '' : " ORDER BY $order";
		$sql.= empty($limit) ? '' : " LIMIT $limit";

		$res=$this->get($sql);
		$array=array();
		foreach($res as $rs){
		    $array[$rs[$field1]]=$rs[$field2];
		}
		return $array;
	}
	/**
	 * 关联读取数据,两个表关联查询，建议用getRows_more
	 * @param string $t1 表1
	 * @param string $t2 表2
	 * @param string $insql1 表1中的调用字段，要写*就两都要写
	 * @param string $insql2 表2中的调用字段，对*的要求同上
	 * @param string $on 关联字段名称,两个字段名一致时直接写字段名，
	 * @param string $where 条件
	 * @param string $order 排序
	 * @param string $limit 调用数量
	 * @param string $group 组
	 * @return array 二维数组
	 */
	public function getRows_join($t1,$t2,$insql1,$insql2,$on,$where=null,$order=null,$limit=null,$group=null){
		$t1=str_replace('%s',DB_PRE,$t1);
		$t2=str_replace('%s',DB_PRE,$t2);
		if($insql1=='*' || $insql2=='*'){
			$insql='*';
		}else{
			$insql1=preg_replace('/([^,]+)/','t1.$1',$insql1);
			$insql2=preg_replace('/([^,]+)/','t2.$1',$insql2);
			$insql=$insql1.(empty($insql1)||empty($insql2)?'':',').$insql2;
		}
		$sql="SELECT $insql FROM $t1 t1";
		$sql.=" LEFT OUTER JOIN ($t2 t2)";
		$sql.=preg_match('/^[a-zA-Z0-9\_]+$/',$on)?" ON t1.$on=t2.$on":" ON $on";
		$sql.= empty($where) ? '' : " WHERE $where";
		$sql.= empty($group) ? '' : " GROUP BY $group";
		$sql.= empty($order) ? '' : " ORDER BY $order";
		$sql.= empty($limit) ? '' : " LIMIT $limit";
		return $this->get($sql);
	}
	/**
	 * 关联读取数据，两个或两个以上的表
	 * @param array $tables 表对应字段的一维数组格式
	 * @param string $on 关联字段名称,两个字段名一致时直接写字段名，
	 * @param string $where 条件
	 * @param string $order 排序
	 * @param string $limit 调用数量
	 * @param string $group 组
	 * @return array 二维数组
	 */
	public function getRows_more($tables,$on,$where=null,$order=null,$limit=null,$group=null){
		$i=1;$insqls=array();$tns=array();$ons=array();
		foreach($tables as $r){
			if(empty($r['table'])){
				$insqls[]=$r['field'];
			}else{
				$tn='t'.$i;
				$$tn=str_replace('%s',DB_PRE,$r['table']);
				$tns[$i]=$$tn.' '.$tn;
				if(!empty($r['field'])&&$r['field']!='*') $insqls[]=preg_replace('/([^,]+)/',$tn.'.$1',$r['field']);
				if(preg_match('/^[a-zA-Z0-9\_]+$/',$on)) $ons[$i]='t1.'.$on.'='.$tn.'.'.$on;
				$i++;
			}
		}

		$insql=empty($insqls)?'*':implode(',',$insqls);

		unset($tns[1]);
		if(preg_match('/^[a-zA-Z0-9\_]+$/',$on)) unset($ons[1]);

		$sql="SELECT $insql FROM $t1 t1";
		$sql.=" LEFT OUTER JOIN (".(implode(',',$tns)).")";
		$sql.=" ON ".(preg_match('/^[a-zA-Z0-9\_]+$/',$on)?implode(' AND ',$ons):$on);
		$sql.= empty($where) ? '' : " WHERE $where";
		$sql.= empty($group) ? '' : " GROUP BY $group";
		$sql.= empty($order) ? '' : " ORDER BY $order";
		$sql.= empty($limit) ? '' : " LIMIT $limit";

		return $this->get($sql);
	}
	/**
	 * 读取数据，带分页
	 * @param string $table 表
	 * @param string $insql 检索对象
	 * @param string $url 分页模板
	 * @param string $where 条件
	 * @param string $order 排序
	 * @param integer $pid 当前页
	 * @param integer $rn 每页显示数
	 * @param string $inner 分页模板
	 */
	public function select($table,$insql='*',$url=null,$where=null,$order=null,$pid=null,$rn=null,$inner=null) {
		$table=str_replace('%s',DB_PRE,$table);

		if (empty($pid)) {
			$pid=empty($_GET['pid']) ? 1 : $_GET['pid'];
			$pid=preg_match('/^\d+$/',$pid) ? $pid :1;
		}
		if (empty($rn)) {
			$rn=empty($_GET['rn']) ? 20 : $_GET['rn'];
			$rn=preg_match('/^\d+$/',$rn) ? $rn :20;
			if ($rn>100) $rn=100;
		}
		$limit=($rn*($pid-1)).','.$rn.';';

		$sql="SELECT $insql FROM $table ";
		$sql.= empty($where) ? '' : " WHERE $where";
		$sql.= empty($order) ? '' : " ORDER BY $order";
		$sql.= empty($limit) ? '' : " LIMIT $limit";

		//设置pagelist
		$rcount=$this->getCount($table,$where);
		$str=new str;
		$this->pagelist=$str->pagelist($url,$rcount,$pid,$rn,$inner);
		return $this->get($sql);
	}
	/**
	 * 若干个关联读取数据，带分页
	 * @param array $tables 表对应字段的一维数组格式
	 * @param string $on 关联字段名称,两个字段名一致时直接写字段名，
	 * @param string $url 分页模板代码
	 * @param string $where 条件
	 * @param string $order 排序
	 * @param integer $pid 当前页
	 * @param integer $rn 每页显示数
	 * @param string $inner 分页模板
	 */
	public function select_more($tables,$on,$url=null,$where=null,$order=null,$pid=null,$rn=null,$inner=null){
		$i=1;$insqls=array();$tns=array();$ons=array();
		foreach($tables as $r){
			if(empty($r['table'])){
				$insqls[]=$r['field'];
			}else{
				$tn='t'.$i;
				$$tn=str_replace('%s',DB_PRE,$r['table']);
				$tns[$i]=$$tn.' '.$tn;
				if(!empty($r['field'])&&$r['field']!='*') $insqls[]=preg_replace('/([^,]+)/',$tn.'.$1',$r['field']);
				if(preg_match('/^[a-zA-Z0-9\_]+$/',$on)) $ons[$i]='t1.'.$on.'='.$tn.'.'.$on;
				$i++;
			}
		}
		$insql=empty($insqls)?'*':implode(',',$insqls);
		unset($tns[1]);
		if(preg_match('/^[a-zA-Z0-9\_]+$/',$on)) unset($ons[1]);

		if (empty($pid)) {
			$pid=empty($_GET['pid']) ? 1 : $_GET['pid'];
			$pid=preg_match('/^\d+$/',$pid) ? $pid :1;
		}
		if (empty($rn)) {
			$rn=empty($_GET['rn']) ? 20 : $_GET['rn'];
			$rn=preg_match('/^\d+$/',$pid) ? $pid :1;
			if ($rn>100) $rn=100;
		}
		$limit=($rn*($pid-1)).','.$rn.';';

		$sql="SELECT $insql FROM $t1 t1";
		$sql.=" LEFT OUTER JOIN (".(implode(',',$tns)).")";
		$sql.=" ON ".(preg_match('/^[a-zA-Z0-9\_]+$/',$on)?implode(' AND ',$ons):$on);
		$sql.= empty($where) ? '' : " WHERE $where";
		$sql.= empty($order) ? '' : " ORDER BY $order";
		$sql.= empty($limit) ? '' : " LIMIT $limit";
		//设置pagelist
		$csql="SELECT COUNT(*) AS c FROM $t1 t1";
		$csql.=" LEFT OUTER JOIN (".(implode(',',$tns)).")";
		$csql.=" ON ".(preg_match('/^[a-zA-Z0-9\_]+$/',$on)?implode(' AND ',$ons):$on);
		$csql.= empty($where) ? '' : " WHERE $where";
		$cres=$this->get_one($csql);
		$rcount=$cres['c'];

		$str=new str;
		$this->pagelist=$str->pagelist($url,$rcount,$pid,$rn,$inner);
		return $this->get($sql);
	}
	/**
	 * 双表关联读取数据，带分页，建议用select_more
	 * @param string $t1 表1
	 * @param string $t2 表2
	 * @param string $insql1 表1中的调用字段，要写*就两都要写
	 * @param string $insql2 表2中的调用字段，对*的要求同上
	 * @param string $on 关联字段名称,两个字段名一致时直接写字段名，
	 * @param string $url 分页模板代码
	 * @param string $where 条件
	 * @param string $order 排序
	 * @param integer $pid 当前页
	 * @param integer $rn 每页显示数
	 * @param string $inner 分页模板
	 */
	public function select_join($t1,$t2,$insql1,$insql2,$on,$url=null,$where=null,$order=null,$pid=null,$rn=null,$inner=null){
		$t1=str_replace('%s',DB_PRE,$t1);
		$t2=str_replace('%s',DB_PRE,$t2);
		if($insql1=='*' || $insql2=='*'){
			$insql='*';
		}else{
			$insql1=preg_replace('/([^,]+)/','t1.$1',$insql1);
			$insql2=preg_replace('/([^,]+)/','t2.$1',$insql2);
			$insql=$insql1.(empty($insql1)||empty($insql2)?'':',').$insql2;
		}
		if (empty($pid)) {
			$pid=empty($_GET['pid']) ? 1 : $_GET['pid'];
			$pid=preg_match('/^\d+$/',$pid) ? $pid :1;
		}
		if (empty($rn)) {
			$rn=empty($_GET['rn']) ? 20 : $_GET['rn'];
			$rn=preg_match('/^\d+$/',$rn) ? $rn :20;
			if ($rn>100) $rn=100;
		}
		$limit=($rn*($pid-1)).','.$rn.';';

		$sql="SELECT $insql FROM $t1 t1";
		$sql.=" LEFT OUTER JOIN ($t2 t2)";
		$sql.=preg_match('/^[a-zA-Z0-9\_]+$/',$on)?" ON t1.$on=t2.$on":" ON $on";
		$sql.= empty($where) ? '' : " WHERE $where";
		$sql.= empty($order) ? '' : " ORDER BY $order";
		$sql.= empty($limit) ? '' : " LIMIT $limit";
		//设置pagelist
		$csql="SELECT COUNT(*) AS c FROM $t1 t1";
		$csql.=" LEFT OUTER JOIN ($t2 t2)";
		$csql.=preg_match('/^[a-zA-Z0-9\_]+$/',$on)?" ON t1.$on=t2.$on":" ON $on";
		$csql.= empty($where) ? '' : " WHERE $where";
		$cres=$this->get_one($csql);
		$rcount=$cres['c'];

		$str=new str;
		$this->pagelist=$str->pagelist($url,$rcount,$pid,$rn,$inner);
		return $this->get($sql);
	}
	/**
	 * 添加数据
	 * @param type $table 数据表
	 * @param type $array 操作值
	 * @param bool $is 是否批量添加,批量添加的时候，$array为二位数组 1:批量添加 0:单个添加
	 * @param string&array $duplicate UNIQUE限制的时候，如果有被限制的值，则update
	 * @return integer 返回新添加的ID
	 */
	public function insert($table,$array,$is=0,$duplicate='') {
		$fields = $values = array();
		$table=str_replace('%s',DB_PRE,$table);

		if(empty($array)) return false;

		$sql_array=array();
		if($is) {//批量添加
			$arr=current($array);
			foreach ($arr as $key => $val) {
				$fields[]=$key;
			}
			foreach ($array as $arr) {
				foreach ($arr as $key => $val) {
					$values[]=$this->encode($val);
				}
				$sql_array[]='(\''.implode('\',\'',$values).'\')';
				$values=array();
			}
		}else {
			foreach($array as $key=>$val) {
				$fields[]=$key;
				$values[]=$this->encode($val);
			}
			$sql_array[]='(\''.implode('\',\'',$values).'\')';
		}
		$sql='INSERT INTO '.$table.' ('.implode(',',$fields).') VALUES ';
		$sql.=implode(',',$sql_array);
		$sql.=empty($duplicate)?'':' ON DUPLICATE KEY UPDATE '.$duplicate;
		$this->query($sql);
		$newid=mysql_insert_id($this->link);
		return $newid;
	}
	/**
	 * 更新数据
	 * @param string $table 数据表
	 * @param array $array 要更新的数据
	 * @param string $where 条件语句
	 */
	public function update($table,$array,$where=null) {
		$fields = $values = array();
		$table=str_replace('%s',DB_PRE,$table);
		foreach($array as $key=>$val) {
			$values[]=preg_match("/^\[.+\]$/",$key)//[hit]=hit+1
					? substr($key,1,-1).'='.$val
					: $key.'=\''.$this->encode($val).'\'';
		}
		$sql='UPDATE '.$table.' SET '.implode(',',$values).(empty($where) ?  ';' : ' WHERE '.$where.';');
		$this->query($sql);
	}
	/**
	 * 读取单行数据
	 * @param string $table 表
	 * @param string $insql 调用的代码
	 * @param string $where 条件
	 * @return array 一维数组
	 */
	public function getRows_one($table,$insql='*',$where=null,$orderby=null) {
		$table=str_replace('%s',DB_PRE,$table);
		$sql="SELECT $insql FROM $table ";
		$sql.=empty($where) ? '' : ' WHERE '.$where;
		$sql.=empty($orderby) ? '' : ' ORDER BY '.$orderby;
		return $this->get_one($sql);
	}
	/**
	 * 读取两个关联表的单行数据，建议用getRows_one_more
	 * @param string $t1 表1
	 * @param string $t2 表2
	 * @param string $insql1 表1中的调用字段，要写*就两都要写
	 * @param string $insql2 表2中的调用字段，对*的要求同上
	 * @param string $on 关联字段名称,两个字段名一致时直接写字段名，
	 * @param string $where 条件
	 * @param string $order 排序
	 * @return array 一维数组
	 */
	public function getRows_one_join($t1,$t2,$insql1,$insql2,$on,$where=null,$order=null){
		$t1=str_replace('%s',DB_PRE,$t1);
		$t2=str_replace('%s',DB_PRE,$t2);
		if($insql1=='*' || $insql2=='*'){
			$insql='*';
		}else{
			$insql1=preg_replace('/([^,]+)/','t1.$1',$insql1);
			$insql2=preg_replace('/([^,]+)/','t2.$1',$insql2);
			$insql=$insql1.(empty($insql1)||empty($insql2)?'':',').$insql2;
		}
		$sql="SELECT $insql FROM $t1 t1";
		$sql.=" LEFT OUTER JOIN ($t2 t2)";
		$sql.=preg_match('/^[a-zA-Z0-9\_]+$/',$on)?" ON t1.$on=t2.$on":" ON $on";
		$sql.= empty($where) ? '' : " WHERE $where";
		$sql.= empty($order) ? '' : " ORDER BY $order";
		return $this->get_one($sql);
	}
	/**
	 * 关联读取数据，两个或两个以上的表,返回一维数组
	 * @param array $tables 表对应字段的一维数组格式
	 * @param string $on 关联字段名称,两个字段名一致时直接写字段名，
	 * @param string $where 条件
	 * @param string $order 排序
	 * @return array 二维数组
	 */
	public function getRows_one_more($tables,$on,$where=null,$order=null){
		$i=1;$insqls=array();$tns=array();$ons=array();
		foreach($tables as $r){
			if(empty($r['table'])){
				$insqls[]=$r['field'];
			}else{
				$tn='t'.$i;
				$$tn=str_replace('%s',DB_PRE,$r['table']);
				$tns[$i]=$$tn.' '.$tn;
				if(!empty($r['field'])&&$r['field']!='*') $insqls[]=preg_replace('/([^,]+)/',$tn.'.$1',$r['field']);
				if(preg_match('/^[a-zA-Z0-9\_]+$/',$on)) $ons[$i]='t1.'.$on.'='.$tn.'.'.$on;
				$i++;
			}
		}
		$insql=empty($insqls)?'*':implode(',',$insqls);

		unset($tns[1]);
		if(preg_match('/^[a-zA-Z0-9\_]+$/',$on)) unset($ons[1]);

		$sql="SELECT $insql FROM $t1 t1";
		$sql.=" LEFT OUTER JOIN (".(implode(',',$tns)).")";
		$sql.=" ON ".(preg_match('/^[a-zA-Z0-9\_]+$/',$on)?implode(' AND ',$ons):$on);
		$sql.= empty($where) ? '' : " WHERE $where";
		$sql.= empty($order) ? '' : " ORDER BY $order";
		return $this->get_one($sql);
	}
	/**
	 * 直接用sql查询单行数据
	 * @param string $sql 查询sql
	 * @return array 一维数组
	 */
	public function get_one($sql){
		$this->query($sql);
		if(empty($this->query_ID)) {
			return false;
		}
		$rs=mysql_fetch_assoc($this->query_ID);
		$this->free();
		return $rs;
	}
	/**
	 * 获得表信息
	 * @param string $table 表名称
	 * @return array 表信息
	 */
	public function getField($table='') {
		$like='';
		if (!empty($table)) {
			$table=str_replace('%s',DB_PRE,$table);
			$like=" like '$table'";
			$this->query('SHOW TABLE STATUS'.$like);
			if (empty($this->query_ID)) {
				return false;
			}
			$res=mysql_fetch_assoc($this->query_ID);
			;
		}else {
			$res=$this->get('SHOW TABLE STATUS');
		}
		$this->free();
		return $res;
	}
	//释放资源
	public function free() {
		if(!empty($this->query_ID))
			@mysql_free_result($this->query_ID);
	}
	/**
	 * 获得当前最大值+1
	 * @param string $table 表
	 * @param string $where 条件
	 * @param string $field 字段
	 * @return int
	 */
	public function newid($table,$where='',$field='norder') {
		$res=$this->getRows_one($table,"MAX($field) AS c",$where);
		return $res['c']+1;
	}
	/**
	 * 获得总数
	 * @param string $table 表
	 * @param string $where 条件
	 * @param string $field 字段
	 * @return integer 总数量
	 */
	public function getCount($table,$where='',$field='*') {
		$res=$this->getRows_one($table,"COUNT($field) AS c",$where);
		return $res['c'];
	}
	/**
	 * 返回数据库版本
	 * @return string 版本号
	 */
	public function version() {
		if(!isset($this->link)) $this->connect();
		return 'MySQL/'.mysql_get_server_info();
	}

	/**
	 * 修改数据表
	 * @param string $tableName  表名
	 * @param string $sql
	 * @param int    $is         0 ADD 1 RENAME TO
	 */
	public function alterTable($tableName,$sql,$is=0) {
		$alteration = $is ? " RENAME TO " : "ADD" ;
		$this->query("ALTER TABLE $tableName $alteration $sql ;");
	}
	/**
	 * 删除记录
	 * @param string $table 要操作的数据表名称
	 * @param string $where 条件
	 */
	public function delete($table,$where='') {
		$table=str_replace('%s',DB_PRE,$table);
		$this->query("DELETE FROM $table ".(empty($where)?'' :" WHERE $where"));
	}
	/**
	 * 安全字符转换
	 * 写这个函数是为了统一处理各个不同的数据库在单引号处理方式上的区分
	 * @param string $s 输出的字符
	 * @return string 转换后的字符
	 */
	public function encode($s) {
		return addslashes($s);
	}

	public function decode($s) {
		return stripslashes($s);
	}
	/**
	 * 数据排序
	 * @param type $table 排序表单
	 * @param type $id 条件字段
	 * @param type $field 字段
	 */
	public function order($table,$id='id',$field='norder') {
		$table=str_replace('%s',DB_PRE,$table);
		$IDS=$_POST['IDS'];
		$order=$_POST[$IDS];
		if(!kc_validate($order,2)) kc_tip('参数错误');
		if(strlen($order)>10) kc_tip('参数不能超过10个数字');
		$idValue=kc_post('id',2,1);
		$sql="UPDATE $table SET $field='$order' WHERE $id='$idValue' ";
		$this->query($sql);
		exit('{}');
	}
	/*
	 * 批量创建字段
	 * @param string $table 表名称
	 * @param array $fields 字段名称和属性对应的二维数组
	 * @return bool 陈功添加为true 失败false
	 */
	public function addfield($table,$fields){
		$table=str_replace('%s',DB_PRE,$table);
		$array=array();
		foreach($fields as $field=>$attrib){
			if(is_int($field)){
				$array[]=$attrib;

			}else{
				$rs=$this->get("describe `$table` `$field`;");

				if(empty($rs)){
					$array[]="`$field` $attrib";
				}
			}
		}
		if(!empty($array)){
			$sql=implode(',',$array);
			$this->query("ALTER TABLE `$table` ADD ($sql);");
			return true;
		}
		return false;
	}
	//参考Discuz!及阿里云 云体检通用漏洞防护补丁
	public function safecheck($sql){
		$checkcmd = array('SEL', 'UPD', 'INS', 'REP', 'DEL');
		$cmd = strtoupper(substr(trim($sql), 0, 3));
		if (!in_array($cmd, $checkcmd)) {
			return TRUE;
		}
		$disablesql = '((load_file|hex|substring|if|ord|char)\()|(intooutfile|intodumpfile|unionselect|\(select|unionall|uniondistinct|uniondistinct)';
		if (preg_match("/" . $disablesql . "/is", str_replace('/**/', '', $sql)) == 1) {
			return FALSE;
		}
		return TRUE;
	}
}
?>
