<?php

//字符串操作类,直接进行调用
class str{
	/**
	 * 可以处理中文的substr函数,中文占两个字符处理
	 * @param string $str 字符串
	 * @param integer $from 起始截取值
	 * @param integer $len 长度值
	 * @return string 截取后的文字
	 */
	function substring($str,$from,$len){
		preg_match_all('#(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+)#s',$str,$array, PREG_PATTERN_ORDER);
		$from1=0;$len1=0;
		$s='';
		foreach($array[0] as $key => $val){
			$n=ord($val)>=128 ? 2:1;
			$from1+=$n;
			if($from1>$from){
				$len1+=$n;
				if($len1+2<=$len){
					$s.=$val;
				}else{
					return $s.'..';
				}
			}
		}
		return $s;
	}
	/**
	 * 分页列表
	 * @param string $url 路径模板
	 * @param integer $rows 记录总数
	 * @param integer $pid 当前页
	 * @param integer $rn 每页显示数
	 * @param string $inner 模板
	 * @return string 分页代码
	 */
	function pagelist($url='',$rows=0,$pid=1,$rn=20,$inner=null){
            $lnk="<a href=\"%s\">%s</a>";
            $pcount=($rows/$rn); //总页数 可能非int类型，所以做如下比较并赋值
            if($rows==0||($pcount==1 && $rn==1)) return '';//不要返回false
            if($pid==null) $pid=1;
            if($pcount!=(int)$pcount) $pcount=(int)$pcount+1;
            //如果当前页大于总页数，这个是不现实的..
            if($pid>$pcount) $pid=$pcount;
			if(false===stripos($url,'?_=') && false===stripos($url,'?app=')){
				$curr_url=DIR.PATH;
				$url = (stripos($url,$curr_url)===false)?$curr_url:$url;
			}
            $url=str_replace('RN',$rn,$url);
            $inner=empty($inner) ?  '<p class="kc_page">[standard][next]</p>' :$inner;
            if(false!==stripos($inner,'[next]')){
                    $next=($pid==$pcount)
                            ? '<span>Next &gt;</span>'
                            : sprintf($lnk,$this->formatPath($url,$pid+1),'Next &gt;');//'<a href="'.$this->formatPath($url,$pid+1).'">Next &gt;</a>';
                    $inner=str_ireplace('[next]',$next,$inner);
            }
            if(false!==stripos($inner,'[previous]')){
                    $previous=$pid==1
                            ? '<span>&lt; Previous</span>'
                            : sprintf($lnk,$this->formatPath($url,$pid-1),'&lt; Previous');//'<a href="'.$this->formatPath($url,$pid-1).'">&lt; Previous</a>';
                    $inner=str_ireplace('[previous]',$previous,$inner);
            }
            if(false!==stripos($inner,'[standard]')){
                    //Standard
                    $numr=5;							//每页右侧显示翻页数量
                    $numl=2;						 //左侧显示2个
                    $num=$numr+$numl+1;	 //合计显示
                    $sta= $pid==1 ? '<strong>1</strong>' : sprintf($lnk,$this->formatPath($url,1),1);//'<a href="'.$this->formatPath($url,1).'">1</a>';//Page 1
                    if($pcount>=2){	 //Page 2
                            $sta.= $pid==2 ? '<strong>2</strong>' : sprintf($lnk,$this->formatPath($url,2),2);//'<a href="'.$this->formatPath($url,2).'">2</a>';
                    }
                    if($pid>=$numl+4 && $pcount>$num+3)
                            $sta.='<i>...</i>';
                    $i_sta=$pid-$numl;		//开始
                    $i_end=$pid+$numr;		//结束
                    if($pid<=$numl+2){		 //重新设置结束
                            $i_end=$num+2;
                    }
                    if($pid>=$pcount-$num+2){ //重新设置开始
                            $i_sta=$pcount-$num;
                    }
                    for($i=$i_sta;$i<$i_end;$i++){	//循环
                            if($i>=3 && $i<=$pcount-2){
                                    $i==$pid
                                            ? $sta.='<strong>'.$i.'</strong>'
                                            : $sta.=sprintf($lnk,$this->formatPath($url,$i),$i);//'<a href="'.$this->formatPath($url,$i).'">'.$i.'</a>';
                            }
                    }
                    if($pid+$numr<=$pcount-2 && $pcount-2>$num+1)
                            $sta.='<i>...</i>';
                    if($pcount>3){
                            $pid==$pcount-1			//Page Count-1
                                    ? $sta.='<strong>'.($pcount-1).'</strong>'
                                    : $sta.=sprintf($lnk,$this->formatPath($url,$pcount-1),$pcount-1);//'<a href="'.$this->formatPath($url,$_count-1).'">'.($_count-1).'</a>';
                    }
                    if($pid==$pcount){	 //Page Count
                            if($pcount>=3)
                                    $sta.='<strong>'.$pcount.'</strong>';
                    }else{
                            if($pcount>=3)
                                    $sta.=sprintf($lnk,$this->formatPath($url,$pcount),$pcount);//'<a href="'.$this->formatPath($url,$pcount).'">'.$pcount.'</a>';
                    }
                    $inner=str_ireplace('[standard]',$sta,$inner);
            }
            if(false!==stripos($inner,'[first]')){
                    //first
                    $pid==1
                            ? $first='<strong>&lt;&lt; First</strong>'
                            : $first=sprintf($lnk,$this->formatPath($url,1),'&lt;&lt; First');//'<a href="'.$this->formatPath($url,1).'">&lt;&lt; First</a>';
                    $inner=str_ireplace('[first]',$first,$inner);
            }
            if(false!==stripos($inner,'[last]')){
                    //last
                    $pid==$pcount
                            ? $last='<strong>Last &gt;&gt;</strong>'
                            : $last=sprintf($lnk,$this->formatPath($url,$pcount),'Last &gt;&gt;');//'<a href="'.$this->formatPath($url,$pcount).'">Last &gt;&gt;</a>';
                    $inner=str_ireplace('[last]',$last,$inner);
            }

            $inner=str_ireplace('[pcount]',$pcount,$inner);
            $inner=str_ireplace('[count]',$rows,$inner);
            $inner=str_ireplace('[pid]',$pid,$inner);
            $inner=str_ireplace('[rn]',$rn,$inner);

            //判断并生成分页子目录
            if(strpos($url,'PID')===false && $pcount>1){
                    //完整路径改成相对路径，因为要做文件操作
                    $path=preg_replace('/^'.preg_quote(DIR,'/').'/','',$url);
                    if(is_file(ROOT.$path.'index.php')){
                            $file=new file;
                            $content=$file->get($path.'index.php');
                            for($i=$pcount;$i>1;$i--){
                                    if(!is_file(ROOT.$path.$i.'/index.php')){
                                            $s=preg_replace("/^(<\?php )(require ')/","\$1\$_GET['pid']={$i};\$2../",$content);
                                            $file->put($path.$i.'/index.php',$s);
                                    }else{
                                            break;
                                    }
                            }
                    }
            }

            return $inner;
	}
	/**
	 * 格式化路径
	 * 对文件名进行判断，自动补充物理生成的路径或链接路径并返回
	 * @param string $path 路径或文件名
	 * @param integer $pid 第X页
	 * $is 判断并不是对其路径进行补充处理，也就是说不在前面补充PATH或ROOT路径
	 * @return string 格式化后的路径
	 */
	function formatPath($path,$pid=1){
		if(empty($path)) return false;
		if(strpos($path,'PID')===false){//若不包含PID，则根据需要进行补充
			$path=$pid=='1'?$path:$path.$pid.'/';
		}else{//有PID
			$path=str_replace('PID',$pid,$path);
		}
		return $path;
	}

	function formatSize($num) {
		if($num==0) return '-';
		$_array=array('byte', 'KB', 'MB', 'GB', 'TB', 'PB');
		$i=0;
		while ($num >= 1024) {
			$num /= 1024;
			$i++;
		}
		return number_format($num,($i==0 ? 0 :2)).' '.$_array[$i];
	}
	/**
	 * 格式化伪正则为正则表达式
	 * @param string $s 字符串
	 */
	function formatPreg($s){
		$s=preg_quote($s);
		$find=array(
			'\[d\]'=>'\d',
			'\[D\]'=>'\D',
			'\[w\]'=>'[a-zA-Z0-9]',
			'\[W\]'=>'\W',
			'\[S\]'=>'\S',
			'\[s\]'=>'\s',
			'\[\.\]'=>'.',
			'\{\?\}'=>'?',
			'\{\+\}'=>'+',
			'\{\*\}'=>'*',
			'\{\$\}'=>'$',
			'\{\^\}'=>'^',
			'\<\<'=>'(',
			'\>\>'=>')',
		);
		$s=str_replace(array_keys($find),$find,$s);
		$s=preg_replace('/\\\{(\d+)(,\d+)?\\\}/','{$1$2}',$s);//{3}/{1,3}类型格式化
		return '%'.$s.'%s';
	}
	/**
	 * 格式化模板地址 
	 * @param string $url 模版格式
	 * @param type $array 参数，传递ID值之用
	 * @return string 返回转换后的地址
	 */
	function formatUrl($url,$array=array()){
		list($y,$m,$d,$h,$i,$s)=explode(',',date('Y,m,d,h,i,s',time()));
		foreach($array as $k=>$v){
			$url=str_replace('{'.strtoupper($k).'}',$v,$url);
		}
		$url=str_replace('{Y}',$y,$url);
		$url=str_replace('{M}',$m,$url);
		$url=str_replace('{D}',$d,$url);
		$url=str_replace('{H}',$h,$url);
		$url=str_replace('{I}',$i,$url);
		$url=str_replace('{S}',$s,$url);
		preg_match('/\{R(\d+)\}/',$url,$m);
		if(isset($m[1])){
			$url=str_replace("{R{$m[1]}}",$str->random($m[1],1),$url);
		}
		return $url;
	}
	/**
	 * 获得随机数
	 * @param integer $length 返回的随机值的长度
	 * @param integer $type 返回的随机值的类型 1:数字 2:小写英语 3:大写英语 4:字母和字符 default:数字和小写英文
	 * @return string 随机字符
	*/
	function random($length,$type=0){
			switch($type){
			case 1:$pattern="1234567890";break;
			case 2:$pattern="abcdefghijklmnopqrstuvwxyz";break;
			case 3:$pattern="ABCDEFGHIJKLMNOPQRSTUVWXYZ";break;
			case 4:$pattern="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890~!@#$%^&*()_-+=";break;
			default:$pattern="1234567890abcdefghijklmnopqrstuvwxyz";
		}
		$size=strlen($pattern)-1;
		$key=$pattern{rand(0,$size)};
		for($i=1;$i<$length;$i++)
		{
			$key.= $pattern{rand(0,$size)};
		}
		return $key;
	}

	function getTime(){
		$mt=explode(' ',microtime());
		return $mt[0]+$mt[1];
	}
	/**
	 * 返回数值形式的IP地址
	 * @param integer $is_str 返回值是否为127.0.0.1格式，是就true，否则返回数字形式
	 * @return integer IP地址
	 */
	function ip($is_str=false){
		if (!empty($_SERVER["HTTP_X_FORWARDED_FOR"])) $ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
		elseif (!empty($_SERVER["HTTP_CLIENT_IP"])) $ip = $_SERVER["HTTP_CLIENT_IP"];
		elseif (!empty($_SERVER["REMOTE_ADDR"])) $ip = $_SERVER["REMOTE_ADDR"];
		elseif (getenv("HTTP_X_FORWARDED_FOR")) $ip = getenv("HTTP_X_FORWARDED_FOR");
		elseif (getenv("HTTP_CLIENT_IP")) $ip = getenv("HTTP_CLIENT_IP");
		elseif (getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");
		else $ip='255.255.255.255';
		return $is_str ? $ip : bindec(decbin(ip2long($ip)));
	}

	function formatIp($address){
		$pattrn='/^((\d+\.){3})\d+$/';
		return preg_replace($pattrn,'$1.*',$address);
	}

	function getIp($ip){
		$db =  new db;
		$rs=$db->getRows_one('%s_ip','country,address,province,city,area',"ipstart>$ip and ipend <$ip");
		if (!empty($rs)) {
			return $rs['country'].$rs['address'].$rs['province'].$rs['city'].$rs['area'];
		}
	}
	/**
	 * 格式化时间戳为标准日期，并设置时差
	 * @param integer $time 时间戳
	 * @param string $mode 输出格式
	 * @param integer $isstr 默认直接输出，若是设置为1，输出字符串形式
	 * @return string 日期
	 */
	function formatDate($time,$mode='Y-m-d',$isstr=0){
		if ($time==0) return '--';
		if($isstr){//字符串形式输出
			$ftime=date('Ymd',$time);
			if($ftime==date('Ymd',time())){
				$s='今天'.date('(H:i)',$time);
			}elseif($ftime==date('Ymd',time()-86400)){
				$s='昨天'.date('(H:i)',$time);
			}else{
				$s=date($mode,$time);
			}
		}else{
			$s=date($mode,$time);
		}
		return $s;
	}
	/**
	 * 转义字符串为正则可用的表达式
	 * 替换*和?为正则可用的
	 * @param string $str 要转义的字符串
	 * @param bool $is 默认0:只替换*?, 1:闭合,补充开始和结尾表达式
	 */
	function pregQuote($str,$is=0){
		$str=$is ? '/^'.preg_quote($str).'$/s' : '/'.preg_quote($str).'/';
		$str=str_replace('\*','.*',$str);
		$pre=str_replace('\?','.?',$str);
		return $pre;
	}
	/**
	 * 字符或数字转换为路径
	 * @param string|integer $str 字符或数字
	 * @return string 带/的路径格式
	 */
	function toPath($str){		
		//左侧用0填充到10个字符
		$path=str_pad((string)$str, 10, '0',STR_PAD_LEFT);		
		//按2个2个作为数组
		$array=str_split($path,2);
		//数组转换为字符串，并以/拆分
		return implode('/',$array);
	}
	/**
	 * 返回文字长度,中文占两个字符	 * @param string $str 要计算长度的文字段
	 * @return integer 长度值
	 */
	public function len($str){
		preg_match_all ('#(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+)#s',$str,$array, PREG_PATTERN_ORDER);
		$len=0;
		foreach($array[0] as $val){
			$len+=ord($val)>=128 ?2:1;
		}
		return $len;
	}
	/*
	 * 安全过滤非法HTML代码
	 * @param string $str 录入的html代码
	 * @param string $element 可同时处理的html元素,多个元素标记之间用|分开
	 */
	public function safehtmlcode($str,$element=NULL){
		$farr = array(
			"/\s+/",
			"/<(\/?)(script|i?frame|style|html|body|title|link".(empty($element)?'':'|'.$element)."|meta|\?|\%)([^>]*?)>/isU",
			"/(<[^>]*)on[a-zA-Z]+\s*=([^>]*>)/isU",
		);
		$tarr = array(
			" ",
			" ",
			"\\1\\2",
		);
		$str = preg_replace( $farr,$tarr,$str);
		return $str;
	}
	/**
	 * 转义文本中的<>为对应的字符并存入到数据库去
	 * @param string $str 需要处理的文本
	 * @return string 处理后的文本
	 */
	public function HtmlEncode($str) {
		$farr=array(
			'>',
			'<',
			chr(32),
			chr(10)
		);
		$tarr=array(
			'&gt;',
			'&lt;',
			'&nbsp;',
			'<br/>',
		);
		return str_replace($farr,$tarr,$str);
	}

	public function quoteEncode($str,$len=0){
		$farr=array(
			'>',
			'<',
			chr(32),
			chr(10),
			'"',
			'&nbsp;',
		);
		$tarr=array(
			'&gt;',
			'&lt;',
			' ',
			' ',
			' ',
			' ',
		);
		$str=str_replace($farr,$tarr,strip_tags($str));
		$str=trim($str);
		//多个空格替换为一个
		$str=preg_replace('/ +/',' ',$str);
		if(!empty($len)){
			$obj=new str;
			$str=$obj->substring($str, 0, $len);
		}
		return $str;

	}
	
	public function price_format($price, $price_format = NULL){
		if (empty($price)) $price = '0.00';
		$price = number_format($price, 2);
		if ($price_format === NULL){
			$price_format = '¥%s';
		}
		return sprintf($price_format, $price);
	}
}
?>